/// <reference types="svelte" />
import type { Updater, Writable } from 'svelte/store';
import { type FlashOptions } from './options.js';
export type FlashMessageType = (App.PageData['flash'] extends never ? any : App.PageData['flash']) | undefined;
interface FlashMessageStore extends Writable<FlashMessageType> {
    set(this: void, value: FlashMessageType, options?: {
        concatenateArray: boolean;
    }): void;
    update(this: void, updater: Updater<FlashMessageType>, options?: {
        concatenateArray: boolean;
    }): void;
}
export declare class FlashMessage {
    options: Readonly<FlashOptions>;
    private _message;
    get message(): FlashMessageStore;
    private _flashTimeout;
    get flashTimeout(): number;
    constructor(message: Writable<FlashMessageType>, options?: FlashOptions);
    private update;
}
export {};
